package com.example.Models.Values;

import com.example.Models.Types.IType;
import com.example.Models.Types.ReferenceType;

public class ReferenceValue implements IValue {
    private Integer address;
    private IType locationType;

    public ReferenceValue(Integer address, IType locationType) {
        this.address = address;
        this.locationType = locationType;
    }
    public String toString(){
        return Integer.toString(this.address);
    }
    public Integer getAddress() {
        return this.address;
    }

    public IType getType() {
        return new ReferenceType(this.locationType);
    }
}
